:root {
  --red: #ef2d35;
  --blue: #1890FF;
  --green: #49B785;
  --gray: #D9D9D9;
  --dark-gray: #485156;
  --panel-bg: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  overflow: hidden;
  scrollbar-color: var(--blue) rgb(240, 244, 247);
  scrollbar-width: thin;
}

input::placeholder {
  color: #999 !important;
}

::-webkit-scrollbar-button {
  width: 15px;
  height: 0px;
}
::-webkit-scrollbar-track {
  background-color: rgb(240, 244, 247);
}
::-webkit-scrollbar-thumb {
  -webkit-border-radius: 5px;
  border-radius: 5px;
  background-color: rgba(145, 194, 246, 0.2);
}
::-webkit-scrollbar-thumb:hover {
  background-color: var(--blue);
}
::-webkit-resizer {
  width: 15px;
  height: 0px;
}
::-webkit-scrollbar {
  width: 15px;
}

.uk-modal-dialog .uk-button {
  border-radius: 3px;
}

#workFilesList .c-panel-relative {
  user-select: none;
  cursor: pointer;
  height: 100%;
  margin: 0;
  min-height: 48px;
}

#workFilesList .c-panel-relative.active,
#workFilesList .c-panel-relative:hover {
  background-color: #DFEFFF;
}

/* .tree-icon,
.tree-expand-icon {
  color: var(--blue);
} */

.workflow-table {
  margin: 0;
  padding: 0;
  border-radius: 0;
  box-shadow: none;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.workflow-table .uk-table thead th {
  background: #FAFAFA;
  border: 1px solid #E8E8E8;
  font-weight: 600;
  font-size: 14px;
  line-height: 22px;
  color: #262626 !important;
  text-transform: none;
  overflow: hidden;
  white-space: nowrap;
}

.workflow-table .uk-table tbody tr {
  background: #fff;
  border: none;
}

.workflow-table .uk-table tbody tr:hover,
.workflow-table .uk-table tbody tr[data-selected] {
  background-color: #E6F7FF;
}

.workflow-table .uk-table tbody td {
  border: 1px solid #E8E8E8;
  padding: 8px;
  font-size: 14px;
  line-height: 21px;
  color: #595959 !important;
}

.docflowTableHeader,
.uk-table.rcc-table thead th {
  background: #FAFAFA;
  border: 1px solid #E8E8E8;
  font-weight: 600;
  font-size: 14px;
  line-height: 22px;
  color: #262626;
  text-transform: none;
}

.uk-table.rcc-table tbody tr {
  background: #fff;
  border: none;
}


.uk-table.rcc-table tbody td {
  border: 1px solid #E8E8E8;
  padding: 8px;
  font-size: 14px;
  line-height: 21px;
  color: #595959;
}

.rcc-table.docflowTable .docflowTableCell > table td {
  border: none !important;
}

.button-switch {
  transition: 0.3s;
}

.button-switch.pressed {
  background: #d5d5d5;
}

#buttonBack,
#buttonLogout {
  border: none;
}

#buttonBack:hover,
#buttonLogout:hover {
  color: var(--red) !important;
}

#buttonCreateWork {
  background: #1890FF;
  border: none;
  font-weight: 600;
  color: #fff;
}

#buttonCreateWork:hover {
  opacity: 0.9;
}

.uk-modal-header {
  padding: 5px 20px;
  max-height: 40px;
}

.uk-modal-header h3 {
  font-size: 1.3em;
}

[uk-icon="icon: search"] {
  cursor: pointer;
  pointer-events: auto !important;
  color: #ddd;
  transition: .3s;
}

[uk-icon="icon: search"]:hover {
  color: var(--blue);
  transform: scale(1.2);
}

.uk-accordion.rcc-accordion li {
  border: 1px solid var(--gray);
  border-radius: 3px;
}

.uk-accordion.rcc-accordion .uk-accordion-content {
  padding: 0 30px;
}

.uk-accordion.rcc-accordion .uk-accordion-content>:last-child {
  margin-bottom: 20px;
}

.uk-accordion.rcc-accordion .uk-accordion-title {
  padding: 10px;
}

.modal-close-custom:hover {
  color: var(--red);
}

#WorkflowLocaleSelector {
  border-radius: 3px;
  background: transparent;
  color: #fff !important;
  text-transform: uppercase;
  min-height: 0;
  height: 40px;
  margin: 0;
  padding: 10px;
  border: none;
  cursor: pointer;
}

#WorkflowLocaleSelector:hover {
  color: var(--blue) !important;
}

#panelFormPlayer {
  width: 100%;
  margin: 10px;
}

#panelWorkData {
  width: 100%;
  height: 100%;
}

#panelDocumentRCC {
  width: 100%;
  height: 100%;
  padding-right: 20px;
  background: #FAFAFA;
  display: none;
}

.view_work_body {
  width: 100%;
  height: calc(100vh - 40px);
  margin: 0;
  padding: 0;
  background: var(--panel-bg);
  overflow: hidden;
}

.uk-close-custom {
  height: 40px;
  top: 0px;
  right: 37px;
  padding: 0px;
  background: transparent;
}

.uk-close-custom:hover {
  color: var(--red);
}

.uk-tab>*>a {
  text-transform: capitalize;
  font-size: 9pt;
}

#buttonSaveRCC {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  color: #999;
  cursor: pointer;
  transition: 0.3s;

}

#buttonSaveRCC .material-icons {
  font-size: 1.8em;
}

#buttonSaveRCC:hover {
  color: #333;
}

.workflow_action_button {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
